Compiz-Fusion settings won't run

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

Compiz-Fusion settings won't run

Postby Mr.Woo » Thu Nov 15, 2007 18:56

I booted up sabayon today only to find that I can't load my compiz-fusion settings. I've had sabayon for about 5 days now and everything was working great. What happen? If I go to the K Menu and click on "Compiz Fusion icon", a bar in the kicker comes up for it, but then goes away after a few seconds. Same thing happens when I click on CompizConfig Settings Manager. The Compiz Fusion icon isn't in my system tray any more either.
Mr.Woo
Baby Hen
 
Posts: 11
Joined: Sat Jan 06, 2007 21:18

Re: Compiz-Fusion settings won't run

Postby freeallbadgers » Thu Nov 15, 2007 19:42

run fusion-icon & ccsm from the console see what errors they generate, and get back to us.
“I just finished compiling glibc and now it says there is a new update available? Arrgh! It never ends!!”
freeallbadgers
Growing Hen
 
Posts: 181
Joined: Sun Mar 11, 2007 8:12
Location: Glasgow, UK.

Re: Compiz-Fusion settings won't run

Postby Mr.Woo » Fri Nov 16, 2007 0:25

fusion-icon
Code: Select all
[email protected] ~ $ fusion-icon
* Using the Qt4 Interface
* No module named PyQt4
... Trying another interface
* Using the Qt3 Interface
* No module named qt
... Trying another interface
* Using the GTK Interface
* No module named pygtk
... Trying another interface
* Error: All interfaces failed, aborting!


ccsm
Code: Select all
[email protected] ~ $ ccsm
Traceback (most recent call last):
  File "/usr/bin/ccsm", line 22, in <module>
    import pygtk
ImportError: No module named pygtk

Mr.Woo
Baby Hen
 
Posts: 11
Joined: Sat Jan 06, 2007 21:18

Re: Compiz-Fusion settings won't run

Postby freeallbadgers » Fri Nov 16, 2007 10:25

Looks to me like python has been updated, you can check by running python -V in the console, if its 2.5 then this is the case. You will have to run python-updater -i to resolve this.

If you haven't already (I'm assuming you're using sabayon 3.4) add these USE flags to /etc/make.conf ..

gtk jpeg vorbis opengl png gif mad sdl truetype mpeg KDE Only: arts qt3 qt4 qt3support
“I just finished compiling glibc and now it says there is a new update available? Arrgh! It never ends!!”
freeallbadgers
Growing Hen
 
Posts: 181
Joined: Sun Mar 11, 2007 8:12
Location: Glasgow, UK.

Re: Compiz-Fusion settings won't run

Postby Mr.Woo » Fri Nov 16, 2007 23:03

I tried doing the python-updater -i thing (I was indeed using python2.5.1) and I ended up with this:
Code: Select all
Calculating dependencies \
!!! All ebuilds that could satisfy "net-print/hplip:0" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-print/hplip-1.7.4a-r2 (masked by: package.mask)
- net-print/hplip-2.7.9-r1 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.



What should I do?
Mr.Woo
Baby Hen
 
Posts: 11
Joined: Sat Jan 06, 2007 21:18

Re: Compiz-Fusion settings won't run

Postby freeallbadgers » Fri Nov 16, 2007 23:05

do you have an hp printer? if not emerge -C it, else unmask. Youre gonna come across a few of these I'm afraid.
“I just finished compiling glibc and now it says there is a new update available? Arrgh! It never ends!!”
freeallbadgers
Growing Hen
 
Posts: 181
Joined: Sun Mar 11, 2007 8:12
Location: Glasgow, UK.

Re: Compiz-Fusion settings won't run

Postby Mr.Woo » Sat Nov 17, 2007 1:22

I have an EPSON. Could you be a little more specific. What do you mean emerge -C it else unmask? sorry, I'm really new to linux. While I'm at it, what does this mean:

If you haven't already (I'm assuming you're using sabayon 3.4) add these USE flags to /etc/make.conf ..

gtk jpeg vorbis opengl png gif mad sdl truetype mpeg KDE Only: arts qt3 qt4 qt3support


Sorry, Like I said, really new. I kinda need things spelled out for me.
Mr.Woo
Baby Hen
 
Posts: 11
Joined: Sat Jan 06, 2007 21:18

Re: Compiz-Fusion settings won't run

Postby freeallbadgers » Sat Nov 17, 2007 1:36

okay, firstly Sabayon 3.4 has some missing USE flags, the ones i posted earlier, if you dont have them certain packages won't work or function incorrectly, so as root

Code: Select all
nano /etc/make.conf


and add those flags, its pretty obvious where USE=" loss weather divx etc etc " you'll see a whole bunch of them


Secondly, you can just emerge -C hplip (removes package from the system), and re-run 'python-updater -i' that will clear your current issue.

But as i said you'll run into a few of these issues, the python-updater will fail due to non-existent/unnecessary packages. eg musicbrainz is one common one, you can emerge -C that one too.

just search the gentoo/sabayon forums for packages or issues your uncertain of if you get more errors, if you need more info on portage read the link below.

http://wiki.sabayonlinux.org/index.php?title=HOWTO:_The_Complete_Portage_Guide

Hope this clears up things a bit (I'm a bit tired at the moment, so i hope this makes sense)

BTW: HPLIP = HP Linux Imaging and Printing - HPLIP is an HP developed solution for printing, scanning, and faxing with HP inkjet and laser based printers in Linux. (thats why I asked if you had an HP printer)
“I just finished compiling glibc and now it says there is a new update available? Arrgh! It never ends!!”
freeallbadgers
Growing Hen
 
Posts: 181
Joined: Sun Mar 11, 2007 8:12
Location: Glasgow, UK.

Re: Compiz-Fusion settings won't run

Postby Mr.Woo » Sun Nov 18, 2007 23:33

I umerged musicbrainz but I still get this
Code: Select all
These are the packages that would be merged, in order:

Calculating dependencies |
emerge: there are no ebuilds to satisfy "dev-python/python-musicbrainz2:0".
Mr.Woo
Baby Hen
 
Posts: 11
Joined: Sat Jan 06, 2007 21:18

Re: Compiz-Fusion settings won't run

Postby freeallbadgers » Sun Nov 18, 2007 23:45

uhm..strange worked for me


what exactly did you unmerge was it ....

Code: Select all
emerge - C python-musicbrainz


or did you include the '2' at the end?

If that doesn't work then you could try

Code: Select all
emerge --sync && layman -S && emerge -av python-musicbrainz


cause I see it in portage
“I just finished compiling glibc and now it says there is a new update available? Arrgh! It never ends!!”
freeallbadgers
Growing Hen
 
Posts: 181
Joined: Sun Mar 11, 2007 8:12
Location: Glasgow, UK.

Next

Return to 3D Desktops and Window Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron